libcpan-meta-perl_2.142690-1_all.deb


Advertisement

Description

libcpan-meta-perl - Perl module to access CPAN distributions metadata

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libcpan-meta-perl
Package version: 2.142690
Package release: 1
Package architecture: all
Package type: deb
Installed size: 362 B
Download size: 122.05 KB
Official Mirror: ftp.br.debian.org
Software distributions released to the CPAN include a META.json or, for older distributions, META.yml which describes the distribution, its contents, and the requirements for building and installing the distribution. The data structure stored in the META.json file is described in CPAN::Meta::Spec. CPAN::Meta provides a simple class to represent this distribution metadata (or distmeta), along with some helpful methods for interrogating that data.

Alternatives

    Download

    Source package: libcpan-meta-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libcpan-meta-perl deb package:
      # sudo apt-get install libcpan-meta-perl

    Files

    • /usr/share/doc/libcpan-meta-perl/CONTRIBUTING
    • /usr/share/doc/libcpan-meta-perl/Todo
    • /usr/share/doc/libcpan-meta-perl/changelog.Debian.gz
    • /usr/share/doc/libcpan-meta-perl/changelog.gz
    • /usr/share/doc/libcpan-meta-perl/copyright
    • /usr/share/man/man3/CPAN::Meta.3pm.gz
    • /usr/share/man/man3/CPAN::Meta::Converter.3pm.gz
    • /usr/share/man/man3/CPAN::Meta::Feature.3pm.gz
    • /usr/share/man/man3/CPAN::Meta::History.3pm.gz
    • /usr/share/man/man3/CPAN::Meta::History::Meta_1_0.3pm.gz
    • /usr/share/man/man3/CPAN::Meta::History::Meta_1_1.3pm.gz
    • /usr/share/man/man3/CPAN::Meta::History::Meta_1_2.3pm.gz
    • /usr/share/man/man3/CPAN::Meta::History::Meta_1_3.3pm.gz
    • /usr/share/man/man3/CPAN::Meta::History::Meta_1_4.3pm.gz
    • /usr/share/man/man3/CPAN::Meta::Merge.3pm.gz
    • /usr/share/man/man3/CPAN::Meta::Prereqs.3pm.gz
    • /usr/share/man/man3/CPAN::Meta::Spec.3pm.gz
    • /usr/share/man/man3/CPAN::Meta::Validator.3pm.gz
    • /usr/share/perl5/CPAN/Meta.pm
    • /usr/share/perl5/CPAN/Meta/Converter.pm
    • /usr/share/perl5/CPAN/Meta/Feature.pm
    • /usr/share/perl5/CPAN/Meta/History.pm
    • /usr/share/perl5/CPAN/Meta/Merge.pm
    • /usr/share/perl5/CPAN/Meta/Prereqs.pm
    • /usr/share/perl5/CPAN/Meta/Spec.pm
    • /usr/share/perl5/CPAN/Meta/Validator.pm
    • /usr/share/perl5/CPAN/Meta/History/Meta_1_0.pod
    • /usr/share/perl5/CPAN/Meta/History/Meta_1_1.pod
    • /usr/share/perl5/CPAN/Meta/History/Meta_1_2.pod
    • /usr/share/perl5/CPAN/Meta/History/Meta_1_3.pod
    • /usr/share/perl5/CPAN/Meta/History/Meta_1_4.pod

    Changelog

    2014-09-27 - gregor herrmann <gregoa@debian.org> libcpan-meta-perl (2.142690-1) unstable; urgency=medium [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. * Add debian/upstream/metadata * Imported upstream version 2.142690 * Drop build-dependency on version.pm. * Mark package as autopkgtest-able. * Declare compliance with Debian Policy 3.9.6.

    2014-07-25 - gregor herrmann <gregoa@debian.org> libcpan-meta-perl (2.142060-1) unstable; urgency=medium * New upstream release.

    2014-06-06 - gregor herrmann <gregoa@debian.org> libcpan-meta-perl (2.141520-1) unstable; urgency=medium * New upstream release.

    2014-05-03 - gregor herrmann <gregoa@debian.org> libcpan-meta-perl (2.141170-1) unstable; urgency=medium * New upstream release. * Drop avoid-new-List-Utils.patch, not needed anymore. The module works with any List::Util version now. Remove (build) dependency on liblist- moreutils-perl as well.

    2014-04-07 - gregor herrmann <gregoa@debian.org> libcpan-meta-perl (2.140640-1) unstable; urgency=medium * debian/control: remove Nicholas Bamber from Uploaders on request of the MIA team. * Install CONTRIBUTING file. * New upstream release. * Refresh avoid-new-List-Utils.patch. * Update (build) dependencies. * Update years of packaging copyright.

    2014-01-08 - Damyan Ivanov <dmn@debian.org> libcpan-meta-perl (2.133380-2) unstable; urgency=medium * Team upload * add liblist-moreutils-perl to dependencies fixes test failures, as well as runtime failures, after the avoid-new-List-Utils.patch addittion * remove trailing slash from metacpan URLs

    2014-01-05 - Dominic Hargreaves <dom@earth.li> libcpan-meta-perl (2.133380-1) unstable; urgency=medium [ gregor herrmann ] * New upstream release. * Add (build) dependency on List::Util. * Declare compliance with Debian Policy 3.9.5. [ Dominic Hargreaves ] * Avoid using new List::Util as it's not available in Debian (see #732191)

    2013-10-15 - Nuno Carvalho <smash@cpan.org> libcpan-meta-perl (2.132830-1) unstable; urgency=low * Team upload. * New upstream release. * d/control: + remove required versions for some dual-lifed modules + shorten one line synopsis

    2013-09-30 - gregor herrmann <gregoa@debian.org> libcpan-meta-perl (2.132661-1) unstable; urgency=low * New upstream release.

    2013-09-17 - gregor herrmann <gregoa@debian.org> libcpan-meta-perl (2.132510-1) unstable; urgency=low * New upstream release. * Switch order of alternative (build) dependencies, now that 5.18 is in sid.

    Advertisement
    Advertisement